View Issue Details

IDProjectCategoryView StatusLast Update
0002350SymmetricDSBugpublic2015-08-13 11:00
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.7.19 
Target Version3.7.20Fixed in Version3.7.20 
Summary0002350: setting suspend=1 on sym_node_channel_ctl gets set back to 0 when extract happens
Descriptionsetting suspend=1 on sym_node_channel_ctl gets set back to 0 when extract happens
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master de7e25bc

2015-07-29 09:26:44

chenson

Details Diff
0002350: setting suspend=1 on sym_node_channel_ctl gets set back to 0
when extract happens

0002350
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IConfigurationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File

SymmetricDS: 3.7 803034a0

2015-07-29 11:23:37

chenson

Details Diff
0002350: setting suspend=1 on sym_node_channel_ctl gets set back to 0
when extract happens
0002346: Metadata lookup does not properly escape _ and % for table and
column lookups

0002350
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/AbstractJdbcDdlReader.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IConfigurationService.java Diff File

Issue History

Date Modified Username Field Change
2015-07-29 09:22 chenson New Issue
2015-07-29 09:22 chenson Status new => assigned
2015-07-29 09:22 chenson Assigned To => chenson
2015-07-29 09:27 chenson Status assigned => resolved
2015-07-29 09:27 chenson Fixed in Version => 3.7.20
2015-07-29 09:27 chenson Resolution open => fixed
2015-07-29 10:00 chenson Changeset attached => SymmetricDS 3.7 r9564
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master de7e25bc
2015-08-08 14:10 chenson Status resolved => closed
2015-08-13 11:00 chenson Changeset attached => SymmetricDS 3.7 803034a0